%global commit 0ac6155abbb7d4622d3bcf2cdf026dde2f80dad7

Name:           framework-ectool
Version:        2024.06.23
Release:        1%{?dist}
Summary:        Repackaged ectool for Framework laptops

License:        BSD
URL:            https://github.com/DHowett/ectool
Source0:        https://github.com/DHowett/ectool/archive/%{commit}.tar.gz#/framework-ectool-%{version}.tar.gz

Requires: libusb1
Requires: libftdi

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libusb1-devel
BuildRequires:  libftdi-devel

%if !%{defined _vpath_builddir}
%global _vpath_builddir .
%endif

%description
A repackaging of the ectool utility for use on Framework laptops.

%prep
%autosetup -n ectool-%{commit}

%build
%cmake -B %_vpath_builddir
%cmake_build

%install
echo _vpath_builddir = %{_vpath_builddir}
install -D -m0755 %{_vpath_builddir}/src/ectool %{buildroot}/usr/sbin/framework-ectool

%files
%license LICENSE
%doc README.md
/usr/sbin/framework-ectool

%changelog
* Thu Jun 05 2025 Casey Harkins <charkins@pobox.com> - 2024.06.23-1
- Initial RPM release for Framework ectool
